#!/bin/bash

set -e
set -x

if [ -z "$1" ]; then
    echo "Usage: $0 <ipaddr>"
    exit 1
fi
ipaddr="$1"
macaddr="$2"

gateway="$(echo $ipaddr | awk -F'.' '{print $1"."$2"."$3".1"}')"

echo 3 > /proc/sys/kernel/printk

if [ -n "$macaddr" ]; then
    echo "Changing MAC address of end1 to $macaddr"
    ip link set dev end1 down
    ip link set dev end1 address "$macaddr"
    ip link set dev end1 up
fi

nmcli connection delete static-end1 || true

nmcli connection add type ethernet ifname end1 con-name static-end1 ip4 ${ipaddr}/24 gw4 ${gateway}

nmcli connection up static-end1

if pgrep -f "es_con_srv 8888" > /dev/null; then
    echo "es_con_srv 8888 already running"
else
    es_con_srv 8888 &
fi